Package pywbem :: Module cim_xml :: Class PROPERTY |
[frames] | no frames]

# Class PROPERTY

source code

        xml.dom.Node --+
                       |
    xml.dom.minidom.Node --+
                           |
     xml.dom.minidom.Element --+
                               |
                      CIMElement --+
                                   |
                                  PROPERTY

    The PROPERTY element defines a single (non-array) CIM Property
    that is not a reference. It contains a single VALUE element
    representing the value of the Property.

    If the Property has no assigned value then the VALUE element MUST be
    absent.

    CIM Reference Properties are described using the
    PROPERTY.REFERENCE element.

    <!ELEMENT PROPERTY (QUALIFIER*, VALUE?)>
    <!ATTLIST PROPERTY
        %CIMName;
        %ClassOrigin;
        %Propagated;
        %CIMType;           #REQUIRED
        xml:lang   NMTOKEN  #IMPLIED>

Instance Methods
__init__(self, name, type, value=None, class_origin=None, propagated=None, qualifiers=`[``]`, xml_lang=None, embedded_object=None) | source code
Inherited from `CIMElement`: `appendChildren`, `appendOptionalChild`, `setName`, `setOptionalAttribute` Inherited from `xml.dom.minidom.Element`: `__repr__`, `getAttribute`, `getAttributeNS`, `getAttributeNode`, `getAttributeNodeNS`, `getElementsByTagName`, `getElementsByTagNameNS`, `hasAttribute`, `hasAttributeNS`, `hasAttributes`, `removeAttribute`, `removeAttributeNS`, `removeAttributeNode`, `removeAttributeNodeNS`, `setAttribute`, `setAttributeNS`, `setAttributeNode`, `setAttributeNodeNS`, `setIdAttribute`, `setIdAttributeNS`, `setIdAttributeNode`, `unlink`, `writexml` Inherited from `xml.dom.minidom.Node`: `__nonzero__`, `appendChild`, `cloneNode`, `getInterface`, `getUserData`, `hasChildNodes`, `insertBefore`, `isSameNode`, `isSupported`, `normalize`, `removeChild`, `replaceChild`, `setUserData`, `toprettyxml`, `toxml`

Class Variables
Inherited from `xml.dom.minidom.Element`: `nodeType`, `nodeValue`, `schemaType` Inherited from `xml.dom.minidom.Node`: `namespaceURI`, `nextSibling`, `ownerDocument`, `parentNode`, `prefix`, `previousSibling` Inherited from `xml.dom.Node`: `ATTRIBUTE_NODE`, `CDATA_SECTION_NODE`, `COMMENT_NODE`, `DOCUMENT_FRAGMENT_NODE`, `DOCUMENT_NODE`, `DOCUMENT_TYPE_NODE`, `ELEMENT_NODE`, `ENTITY_NODE`, `ENTITY_REFERENCE_NODE`, `NOTATION_NODE`, `PROCESSING_INSTRUCTION_NODE`, `TEXT_NODE`

Properties
Inherited from `xml.dom.minidom.Element`: `attributes`, `localName` Inherited from `xml.dom.minidom.Node`: `firstChild`, `lastChild`

Method Details

### __init__(self, name, type, value=None, class_origin=None, propagated=None, qualifiers=`[``]`, xml_lang=None, embedded_object=None) (Constructor) | source code
Overrides: xml.dom.minidom.Element.__init__